<?php


function plugin_storeLastPoll_install () {
	api_plugin_register_hook('storeLastPoll', 'poller_output', 'storeLastPoll_poller_output', 'setup.php');
	api_plugin_register_hook('storeLastPoll', 'console_after', 'storeLastPoll_console_after', 'setup.php');
	api_plugin_register_hook('storeLastPoll', 'poller_top', 'storeLastPoll_poller_top', 'setup.php');
	storeLastPoll_setup_table_new();
}

function storeLastPoll_poller_top () {
	//$row = db_fetch_row("Select MAX(`poll`) as lastpoll from `plugin_storeLastPoll_data`");
        //cacti_log("Last Poll = ".$row['lastpoll']);
        //$poll = $row['lastpoll'] + 1;
        //if ( $row['lastpoll'] > 9 ) {
        //        $poll = 1;
		
        //}
	
}

function storeLastPoll_poller_output ($rrd_update_array) {
	foreach($rrd_update_array as $item) {
		if ( is_array($item) ) {
			if ( array_key_exists('times',$item) ) {
				$array = $item['times'][key($item['times'])];
				while( list ( $key, $val ) = each ( $array ) ) {
					//cacti_log("Poller Item : ".$item['local_data_id']."[ $key -> $val ]");
					db_execute("DELETE FROM `plugin_storeLastPoll_data` WHERE `local_data_id` = ".$item['local_data_id']);
					db_execute("INSERT INTO `plugin_storeLastPoll_data` (`local_data_id`,`key`,`value`) VALUES (".$item['local_data_id'].",'".$key."','".$val."') ");
				}
			}
		}
	}
    return $rrd_update_array;
}

function plugin_storeLastPoll_uninstall () {
	// Do any extra Uninstall stuff here
	return;
}


function plugin_storeLastPoll_check_config () {
	// Here we will check to ensure everything is configured
	storeLastPoll_check_upgrade();

	return true;
}

function plugin_storeLastPoll_upgrade () {
	// Here we will upgrade to the newest version
	storeLastPoll_check_upgrade ();
	return false;
}

function plugin_storeLastPoll_version () {
	return storeLastPoll_version();
}

function storeLastPoll_setup_table_new () {
	global $config, $database_default;
	include_once($config["library_path"] . "/database.php");
    
        $data = array();
	$data['columns'][] = array('name' => 'local_data_id', 'type' => 'int(11)', 'NULL' => false, 'default' => '0');
	$data['columns'][] = array('name' => 'key', 'type' => 'varchar(1024)', 'NULL' => false, 'default' => '0');
	$data['columns'][] = array('name' => 'value', 'type' => 'varchar(1024)', 'NULL' => false, 'default' => '0');
	$data['primary'] = 'local_data_id';
	$data['keys'][] = array('name' => 'local_data_id', 'columns' => 'local_data_id');
	$data['keys'][] = array('name' => 'key', 'columns' => 'key');
	$data['type'] = 'MyISAM';
	$data['comment'] = 'NMID storeLastPoll Data';
	api_plugin_db_table_create('storeLastPoll', 'plugin_storeLastPoll_data', $data);

}

function storeLastPoll_check_upgrade () {
	return;
}

function storeLastPoll_check_dependencies() {
	global $plugins, $config;
	return true;
}

function storeLastPoll_version () {
	return array( 'name' 	=> 'storeLastPoll',
	'version' 	=> '0.8',
	'longname'	=> 'NMID storeLastPoll Plugin',
	'author'	=> 'Thomas Urban',
	'homepage'	=> 'http://redmine.nmid-plugins.de',
	'email'		=> 'nmid@urban-software.de',
	'url'		=> 'http://urban-software.de/nmid/nmidStoreLastPoll/versions.php'
	);
}

function storeLastPoll_console_after () {
	global $config, $plugins;
	storeLastPoll_setup_table();
}

function storeLastPoll_setup_table () {
}

?>
